# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

from ....core.datetime_utils import serialize_datetime
from ...commons.types.account_id import AccountId
from ...commons.types.environment_id import EnvironmentId
from .api_key_operation import ApiKeyOperation
from .api_key_type import ApiKeyType

try:
    import pydantic.v1 as pydantic  # type: ignore
except ImportError:
    import pydantic  # type: ignore


class ApiKey(pydantic.BaseModel):
    """
    API Key used for authenticating against our APIs
    """

    id: str
    raw_key: typing.Optional[str] = pydantic.Field(alias="rawKey")
    type: ApiKeyType
    environment_id: typing.Optional[EnvironmentId] = pydantic.Field(alias="environmentId")
    account_id: typing.Optional[AccountId] = pydantic.Field(alias="accountId")
    operations: typing.List[ApiKeyOperation]
    created_at: dt.datetime = pydantic.Field(alias="createdAt")
    updated_at: typing.Optional[dt.datetime] = pydantic.Field(alias="updatedAt")
    deleted_at: typing.Optional[dt.datetime] = pydantic.Field(alias="deletedAt")
    secret: typing.Optional[str]

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        smart_union = True
        allow_population_by_field_name = True
        json_encoders = {dt.datetime: serialize_datetime}
